NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.PostAnnotation Class Reference

Controls appearance of a annoation object in a postview. More...

Inheritance diagram for NXOpen.CAE.PostAnnotation:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Types

enum  Style { Box, BoxWithLeader }
 Annotation styles More...
 
enum  TextAlignment { Left, Right, Center }
 Annotation text alignment More...
 
enum  ValueType { None, ResultAndEntity, Result, Entity }
 Annotation value type More...
 

Public Member Functions

unsafe void Delete ()
 Deletes the annotation. More...
 
unsafe void Draw ()
 Draw annotation object on graphics screen. More...
 
unsafe void GetUserText (out string[] usertext)
 Ask the user text in each box More...
 
unsafe void SetUserText (string[] usertext)
 Put the user text in each box More...
 
unsafe void Show (bool show)
 Show/Hide annotation object on graphics screen. More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Properties

unsafe NXOpen.NXColor BoxColor [get, set]
 Returns or sets the box color More...
 
unsafe bool BoxFill [get, set]
 Returns or sets the box filling More...
 
unsafe
NXOpen.CAE.PostAnnotation.TextAlignment 
BoxTextAlignment [get, set]
 Returns or sets the text alignment More...
 
unsafe bool BoxTranluceny [get, set]
 Returns or sets the box tranluceny More...
 
unsafe bool BoxTranslucency [get, set]
 Returns or sets the box translucency More...
 
unsafe
NXOpen.CAE.PostAnnotation.Style 
DisplayStyle [get, set]
 Returns or sets the annotation style More...
 
unsafe
NXOpen.CAE.PostAnnotation.ValueType 
DisplayValueType [get, set]
 Returns or sets the annotation value type More...
 
unsafe bool DrawBox [get, set]
 Returns or sets the box drawing More...
 
unsafe string Name [get, set]
 Returns or sets the annotation name More...
 
unsafe NXOpen.NXColor TextColor [get, set]
 Returns or sets the text color More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Detailed Description

Controls appearance of a annoation object in a postview.

User must call CAE.PostAnnotation.Draw to make changes visible.

To obtain an instance of this class use CAE::Post

Created in NX8.5.0

Member Enumeration Documentation

Annotation styles

Enumerator
Box 
BoxWithLeader 

Annotation text alignment

Enumerator
Left 
Right 
Center 

Annotation value type

Enumerator
None 
ResultAndEntity 
Result 
Entity 

Member Function Documentation

unsafe void NXOpen.CAE.PostAnnotation.Delete ( )
inline

Deletes the annotation.

Created in NX10.0.0

License requirements: None.

unsafe void NXOpen.CAE.PostAnnotation.Draw ( )
inline

Draw annotation object on graphics screen.

If NX is in batch mode, nothing happens. After setting paramters user has to call draw to reflect changes.

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

override void NXOpen.CAE.PostAnnotation.FreeResource ( )
inlineprotectedvirtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX8.5.0

License requirements: None.

Implements NXOpen.TransientObject.

unsafe void NXOpen.CAE.PostAnnotation.GetUserText ( out string[]  usertext)
inline

Ask the user text in each box

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
usertext
unsafe void NXOpen.CAE.PostAnnotation.SetUserText ( string[]  usertext)
inline

Put the user text in each box

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
usertext
unsafe void NXOpen.CAE.PostAnnotation.Show ( bool  show)
inline

Show/Hide annotation object on graphics screen.

If NX is in batch mode, nothing happens

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
showtrue will show annotation, false will hide

Property Documentation

unsafe NXOpen.NXColor NXOpen.CAE.PostAnnotation.BoxColor
getset

Returns or sets the box color

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe bool NXOpen.CAE.PostAnnotation.BoxFill
getset

Returns or sets the box filling

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe NXOpen.CAE.PostAnnotation.TextAlignment NXOpen.CAE.PostAnnotation.BoxTextAlignment
getset

Returns or sets the text alignment

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe bool NXOpen.CAE.PostAnnotation.BoxTranluceny
getset

Returns or sets the box tranluceny

Created in NX8.5.0

Deprecated in NX12.0.0. Use NXOpen.CAE.PostAnnotation.BoxTranslucency instead.

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe bool NXOpen.CAE.PostAnnotation.BoxTranslucency
getset

Returns or sets the box translucency

Created in NX12.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe NXOpen.CAE.PostAnnotation.Style NXOpen.CAE.PostAnnotation.DisplayStyle
getset

Returns or sets the annotation style

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe NXOpen.CAE.PostAnnotation.ValueType NXOpen.CAE.PostAnnotation.DisplayValueType
getset

Returns or sets the annotation value type

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe bool NXOpen.CAE.PostAnnotation.DrawBox
getset

Returns or sets the box drawing

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe string NXOpen.CAE.PostAnnotation.Name
getset

Returns or sets the annotation name

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

unsafe NXOpen.NXColor NXOpen.CAE.PostAnnotation.TextColor
getset

Returns or sets the text color

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.